call spQuery_Lista_Tipo_Contrato(NULL,NULL);

DROP PROCEDURE IF EXISTS spQuery_Lista_Tipo_Contrato;
CREATE PROCEDURE spQuery_Lista_Tipo_Contrato(
  varCodigo   varchar(5),
  varNombre   varchar(80)
  )
BEGIN 
  DECLARE varCadCod, varCadNom text default '';
  if ifnull(varCodigo,'')<>'' then
    set varCadCod = CONCAT(" and T.id_tipo_contrato = ", varCodigo, " ");
  end if;
  
  if ifnull(varNombre,'')<>'' then
    set varCadNom = CONCAT(" and T.nombre LIKE '%", varNombre, "%' ");
  end if;
  
  SET @sql = CONCAT("select T.id_tipo_contrato, T.nombre, T.abrev ",
                    "from _srh_tipo_contrato T ",
                    "where T._estado = 'A' ",
                    varCadCod, varCadNom,
                    "order by T.id_tipo_contrato; ");
  PREPARE s1 FROM @sql;
  EXECUTE s1;
  DEALLOCATE PREPARE s1;
END;